# Attendance ## `GET /api/attendance/events` **ListEvents** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `kind` | query | {ref}`EventKind ` \| null | no | | **Response `200` — Request fulfilled, document follows** Model: array of {ref}`AttendanceEventSummary ` Type: array of {ref}`AttendanceEventSummary ` ## `GET /api/attendance/report` **GetReport** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `window` | query | {ref}`AttendanceRange ` | no | A reporting window for ``GET /api/attendance/report`` and ``/trends``. | | `raids_only` | query | boolean | no | | **Response `200` — Request fulfilled, document follows** Model: {ref}`AttendanceReport ` | Field | Type | Required | Description | |---|---|---|---| | `range` | {ref}`AttendanceRange ` | yes | | | `raids_only` | boolean | yes | | | `rows` | array of {ref}`MemberAttendanceRow ` | yes | | ## `GET /api/attendance/trends` **GetTrends** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `window` | query | {ref}`AttendanceRange ` | no | A reporting window for ``GET /api/attendance/report`` and ``/trends``. | | `raids_only` | query | boolean | no | | **Response `200` — Request fulfilled, document follows** Model: {ref}`AttendanceTrends ` | Field | Type | Required | Description | |---|---|---|---| | `range` | {ref}`AttendanceRange ` | yes | | | `raids_only` | boolean | yes | | | `points` | array of {ref}`AttendanceTrendPoint ` | yes | | ## `GET /api/events/{event_id}/attendance` **GetAttendance** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `event_id` | path | string (uuid) | yes | | **Response `200` — Request fulfilled, document follows** Model: {ref}`AttendanceDetail ` | Field | Type | Required | Description | |---|---|---|---| | `event` | {ref}`AttendanceEventSummary ` | yes | | | `signups` | array of {ref}`AttendanceSignup ` | yes | | | `walk_in_candidates` | array of {ref}`WalkInCandidate ` | yes | | ## `PUT /api/events/{event_id}/attendance` **MarkAttendance** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `event_id` | path | string (uuid) | yes | | **Request body** Model: {ref}`AttendanceMark ` | Field | Type | Required | Description | |---|---|---|---| | `entries` | array of {ref}`AttendanceMarkEntry ` | no | | | `walk_ins` | array of {ref}`WalkInCreate ` | no | | **Response `200` — Request fulfilled, document follows** Model: {ref}`AttendanceDetail ` | Field | Type | Required | Description | |---|---|---|---| | `event` | {ref}`AttendanceEventSummary ` | yes | | | `signups` | array of {ref}`AttendanceSignup ` | yes | | | `walk_in_candidates` | array of {ref}`WalkInCandidate ` | yes | | ## `PUT /api/guilds/{guild_id}/attendance/voice` **ReportVoicePresence** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `guild_id` | path | integer | yes | | **Request body** Model: {ref}`VoicePresenceReport ` | Field | Type | Required | Description | |---|---|---|---| | `event_id` | string (uuid) | yes | | | `entries` | array of {ref}`VoicePresenceEntry ` | no | | **Response `204`** — Request fulfilled, nothing follows ## `GET /api/guilds/{guild_id}/attendance/voice/{event_id}` **GetVoicePresence** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `guild_id` | path | integer | yes | | | `event_id` | path | string (uuid) | yes | | **Response `200` — Request fulfilled, document follows** Model: {ref}`VoicePresenceReport ` | Field | Type | Required | Description | |---|---|---|---| | `event_id` | string (uuid) | yes | | | `entries` | array of {ref}`VoicePresenceEntry ` | no | |